<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity5"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Flight</title>

    <style>
            input, button, select {
                width: 300px;
                height: 30px;
            }

            .checkbox {
                width: 20px;
                height: 20px;
            }





    </style>
</head>
<body>


<div th:replace="fragments/header :: header"></div>

<div sec:authorize="hasRole('ADMINISTRATOR')">

    <h1>ADMIN PAGE</h1>

    <p>
        <a th:href="@{/employees}">Employees</a>
    </p>

    <p>
        <a th:href="@{/flights}">Flights</a>
    </p>

    <p>
        <a th:href="@{/requests}">Request</a>
    </p>

    <div align="center">

        <h2>Edit a flight</h2>
        <form method="post" th:action="@{/editFlight/{id}(id=${flight.flightId})}" th:object="${flight}">
            <p>
                <input disabled="true" id="flightId" th:field="*{flightId}" type="text"
                       value="${flight.flightId}" width="30">
            </p>
            <p>
                <input id="departureCity" placeholder="Departure city" required th:field="*{departureCity}" type="text"
                       value="${flight.departureCity}" width="30"/>
            </p>
            <p>
                <input id="departureAirport" placeholder="Departure airport" required th:field="*{departureAirport}"
                       type="text"
                       value="${flight.departureAirport}" width="30"/>
            </p>
            <p>
                <input id="departureDate" placeholder="Departure date" required th:field="*{departureDate}"
                       type="datetime-local"
                       value="${flight.departureDate}" width="30"/>
            </p>
            <p>
                <input id="arrivalCity" placeholder="Departure date" required th:field="*{arrivalCity}" type="text"
                       value="${flight.arrivalCity}" width="30"/>
            </p>
            <p>
                <input id="arrivalAirport" placeholder="Arrival airport" required th:field="*{arrivalAirport}"
                       type="text"
                       value="${flight.arrivalAirport}" width="30"/>
            </p>
            <p>
                <input id="arrivalDate" placeholder="Arrival date" required th:field="*{arrivalDate}"
                       type="datetime-local"
                       value="${flight.arrivalDate}" width="30"/>
            </p>
            <p>
                <input disabled="true" id="status" th:field="*{status}" type="text"
                       value="${flight.status}" width="30">
            </p>
            <p>
                <input type="submit" value="Edit"/>
            </p>
        </form>

    </div>

</div>

<div sec:authorize="hasRole('ROLE_DISPATCHER')">

    <h1>DISPATCHER PAGE</h1>

    <p>
        <a th:href="@{/flights}">Flights</a>
    </p>

    <p>
        <a th:href="@{/requests}">Request</a>
    </p>

    <div align="center">

        <form method="post" th:action="@{/editStatus/{id}(id=${flight.flightId})}" th:object="${flight}">
            <table border="1" cellpadding="5">
                <caption><h2 th:text="'Flight #' + ${flight.flightId}"></h2></caption>
                <tr>
                    <th>ID</th>
                    <th>Departure city</th>
                    <th>Departure airport</th>
                    <th>Departure date</th>
                    <th>Arrival city</th>
                    <th>Arrival airport</th>
                    <th>Arrival date</th>
                    <th>Status</th>
                </tr>

                <tr>
                    <td th:text="${flight.flightId}"></td>
                    <td th:text="${flight.departureCity}"></td>
                    <td th:text="${flight.departureAirport}"></td>
                    <td th:text="${flight.departureDate}"></td>
                    <td th:text="${flight.arrivalCity}"></td>
                    <td th:text="${flight.arrivalAirport}"></td>
                    <td th:text="${flight.arrivalDate}"></td>
                    <td>
                        <select required th:name="status" width="50">
                            <option th:text="${flight.status.displayValue}"
                                    th:value="${flight.status}"></option>
                            <option th:each="flightStatusOpt : ${T(com.epam.rd.november2019.model.FlightStatus).values()}"
                                    th:text="${flightStatusOpt.displayValue}"
                                    th:value="${flightStatusOpt}"></option>
                        </select>
                    </td>
                </tr>
            </table>
            <p>
                <input type="submit" value="Change status"/>
            </p>
        </form>

        <h2>Flight team</h2>

        <p>
            <button><a th:href="@{/editFlightTeam/{id}(id=${flight.flightId})}">Add new employee</a></button>
        </p>

        <table border="1" cellpadding="5">
            <tr>
                <th>ID</th>
                <th>Last name</th>
                <th>First name</th>
                <th>Profession</th>
                <th>Sex</th>
                <th>City</th>
                <th>Delete</th>
            </tr>
            <tr th:each="employee : ${employees}">
                <td th:text="${employee.employeeId}"></td>
                <td th:text="${employee.lastName}"></td>
                <td th:text="${employee.firstName}"></td>
                <td th:text="${employee.employeeRole.displayValue}"></td>
                <td th:text="${employee.sex.displayValue}"></td>
                <td th:text="${employee.city}"></td>
                <td>
                    <a th:href="@{/deleteEmployeeFromTeam/{flight_id}/{employee_id}(flight_id=${flight.flightId}, employee_id=${employee.employeeId})}">Delete</a>
                </td>
            </tr>
        </table>
    </div>

</div>

<p>
<div th:replace="fragments/footer :: footer"></div>
</p>

</body>
</html>